com.google.gwt.user.cellview.client

## Class SafeHtmlHeader

- java.lang.Object
- - com.google.gwt.user.cellview.client.Header<SafeHtml>
  - - com.google.gwt.user.cellview.client.SafeHtmlHeader

    public class SafeHtmlHeader
    extends Header<SafeHtml>

A Header containing safe HTML data rendered by a SafeHtmlCell.

### Constructor Summary

Constructors
Constructor and Description
`SafeHtmlHeader(SafeHtml text)` Construct a Header with a given `SafeHtml` text value.

### Method Summary

All Methods Instance Methods Concrete Methods
`SafeHtml` `getValue()` Return the `SafeHtml` text value.

### Methods inherited from class com.google.gwt.user.cellview.client.Header

`getCell, getHeaderStyleNames, getKey, onBrowserEvent, onPreviewColumnSortEvent, render, setHeaderStyleNames, setUpdater`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SafeHtmlHeader

    public SafeHtmlHeader(SafeHtml text)

Construct a Header with a given `SafeHtml` text value.

Parameters:
  `text` - the header text, as safe HTML

### Method Detail

#### getValue

    public SafeHtml getValue()

Return the `SafeHtml` text value.

Specified by:
  `getValue` in class `Header<SafeHtml>`
Returns:
  the header value